summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-12 23:33:51 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:51 +0200
commit696cf6fd9ac20f6e00b8e48d0d22a01d89e8813b (patch)
tree52940b96e36e750e40b91d1e790c0204efb5c0b9
parentc9d45bd585cc9af43898350230ae21779c6e826c (diff)
downloadslackbuilds-696cf6fd9ac20f6e00b8e48d0d22a01d89e8813b.tar.gz
slackbuilds-696cf6fd9ac20f6e00b8e48d0d22a01d89e8813b.tar.xz
system/yeahconsole: Added to 12.2 repository
-rw-r--r--system/yeahconsole/README5
-rw-r--r--system/yeahconsole/slack-desc19
-rw-r--r--system/yeahconsole/yeahconsole.SlackBuild85
-rw-r--r--system/yeahconsole/yeahconsole.info8
4 files changed, 117 insertions, 0 deletions
diff --git a/system/yeahconsole/README b/system/yeahconsole/README
new file mode 100644
index 0000000000..d77449a593
--- /dev/null
+++ b/system/yeahconsole/README
@@ -0,0 +1,5 @@
+yeahconsole (a terminal emulator wrapper)
+
+YeahConsole turns an xterm into a gamelike console.
+This means it will slide down from top of your screen if
+you hit a shortcut key.
diff --git a/system/yeahconsole/slack-desc b/system/yeahconsole/slack-desc
new file mode 100644
index 0000000000..5788680736
--- /dev/null
+++ b/system/yeahconsole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yeahconsole: yeahconsole (a terminal emulator wrapper)
+yeahconsole:
+yeahconsole: YeahConsole turns an xterm into a gamelike console.
+yeahconsole: This means it will slide down from top of your screen if
+yeahconsole: you hit a shortcut key.
+yeahconsole:
+yeahconsole:
+yeahconsole: Homepage: http://phrat.de/yeahtools.html
+yeahconsole:
+yeahconsole:
+yeahconsole:
diff --git a/system/yeahconsole/yeahconsole.SlackBuild b/system/yeahconsole/yeahconsole.SlackBuild
new file mode 100644
index 0000000000..fbd9174375
--- /dev/null
+++ b/system/yeahconsole/yeahconsole.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for yeahconsole
+
+# Copyright 2009 Pablo Santamaria (pablosantamaria at gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yeahconsole
+VERSION=${VERSION:-0.3.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+make FLAGS="$SLKCFLAGS" LIBDIR="-L/usr/X11R6/lib$LIBDIRSUFFIX"
+
+mkdir -p $PKG/usr/bin
+make install PREFIX=$PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/yeahconsole/yeahconsole.info b/system/yeahconsole/yeahconsole.info
new file mode 100644
index 0000000000..086db3c4a5
--- /dev/null
+++ b/system/yeahconsole/yeahconsole.info
@@ -0,0 +1,8 @@
+PRGNAM="yeahconsole"
+VERSION="0.3.5"
+HOMEPAGE="http://phrat.de/"
+DOWNLOAD="http://phrat.de/yeahconsole-0.3.4.tar.gz"
+MD5SUM="83a2367f9b4857fed02464b0e8a6595a"
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="dsomero"